Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.metaabm.act
Enum ASelectTypes

    java.lang.Object
      java.lang.Enum<ASelectTypes>
          org.metaabm.act.ASelectTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ASelectTypes>, org.eclipse.emf.common.util.Enumerator

    public enum ASelectTypes

extends java.lang.Enum<ASelectTypes>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration ' ASelect Types', and utility methods for working with them.

See Also:
  `MetaABMActPackage.getASelectTypes()`

Enum Constant Summary
`ALL` The 'All' literal object.
`ONE` The 'One' literal object.

Field Summary
`static int` | `ALL_VALUE` The 'All' literal value.
`static int` | `ONE_VALUE` The 'One' literal value.
`static java.util.List<ASelectTypes>` | `VALUES` A public read-only list of all the 'ASelect Types' enumerators.

Method Summary
`static ASelectTypes` | `get(int value)` Returns the 'ASelect Types' literal with the specified integer value.
`static ASelectTypes` | `get(java.lang.String literal)` Returns the 'ASelect Types' literal with the specified literal value.
`static ASelectTypes` | `getByName(java.lang.String name)` Returns the 'ASelect Types' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ASelectTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ASelectTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ONE

    public static final ASelectTypes ONE

  The 'One' literal object.

  See Also:
    `ONE_VALUE`

### ALL

    public static final ASelectTypes ALL

  The 'All' literal object.

  See Also:
    `ALL_VALUE`

Field Detail

### ONE_VALUE

    public static final int ONE_VALUE

  The 'One' literal value.

  If the meaning of 'One' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ONE`, Constant Field Values

### ALL_VALUE

    public static final int ALL_VALUE

  The 'All' literal value.

  If the meaning of 'All' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALL`, Constant Field Values

### VALUES

    public static final java.util.List<ASelectTypes> VALUES

  A public read-only list of all the 'ASelect Types' enumerators.

Method Detail

### values

    public static ASelectTypes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ASelectTypes c : ASelectTypes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ASelectTypes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static ASelectTypes get(java.lang.String literal)

  Returns the 'ASelect Types' literal with the specified literal value.

### getByName

    public static ASelectTypes getByName(java.lang.String name)

  Returns the 'ASelect Types' literal with the specified name.

### get

    public static ASelectTypes get(int value)

  Returns the 'ASelect Types' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ASelectTypes>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD